package com.ruoyi.model.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 宠物信息对象 app_pets
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public class AppPets extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 宠物编号 */
    private Long petId;

    /** 删除标记 */
    @Excel(name = "删除标记")
    private Integer deiFlag;

    /** 宠物年龄 */
    @Excel(name = "宠物年龄")
    private Long petAge;

    /** 出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date petBirthday;

    /** 宠物品种编号 */
    @Excel(name = "宠物品种编号")
    private String petBread;

    /** 宠物头像 */
    @Excel(name = "宠物头像")
    private String petImage;

    /** 宠物名称 */
    @Excel(name = "宠物名称")
    private String petName;

    /** 宠物性格 */
    @Excel(name = "宠物性格")
    private String petPersonality;

    /** 宠物性别 */
    @Excel(name = "宠物性别")
    private String petSex;

    /** 宠物种类编号 */
    @Excel(name = "宠物种类编号")
    private String petSpecies;

    /** 宠物体重,1=小型,2=中型,3=大型 */
    @Excel(name = "宠物体重,1=小型,2=中型,3=大型")
    private Integer petWeight;

    /** 用户编号 */
    @Excel(name = "用户编号")
    private Long userId;

    public void setPetId(Long petId) 
    {
        this.petId = petId;
    }

    public Long getPetId() 
    {
        return petId;
    }
    public void setDeiFlag(Integer deiFlag) 
    {
        this.deiFlag = deiFlag;
    }

    public Integer getDeiFlag() 
    {
        return deiFlag;
    }
    public void setPetAge(Long petAge) 
    {
        this.petAge = petAge;
    }

    public Long getPetAge() 
    {
        return petAge;
    }
    public void setPetBirthday(Date petBirthday) 
    {
        this.petBirthday = petBirthday;
    }

    public Date getPetBirthday() 
    {
        return petBirthday;
    }
    public void setPetBread(String petBread) 
    {
        this.petBread = petBread;
    }

    public String getPetBread() 
    {
        return petBread;
    }
    public void setPetImage(String petImage) 
    {
        this.petImage = petImage;
    }

    public String getPetImage() 
    {
        return petImage;
    }
    public void setPetName(String petName) 
    {
        this.petName = petName;
    }

    public String getPetName() 
    {
        return petName;
    }
    public void setPetPersonality(String petPersonality) 
    {
        this.petPersonality = petPersonality;
    }

    public String getPetPersonality() 
    {
        return petPersonality;
    }
    public void setPetSex(String petSex) 
    {
        this.petSex = petSex;
    }

    public String getPetSex() 
    {
        return petSex;
    }
    public void setPetSpecies(String petSpecies) 
    {
        this.petSpecies = petSpecies;
    }

    public String getPetSpecies() 
    {
        return petSpecies;
    }
    public void setPetWeight(Integer petWeight) 
    {
        this.petWeight = petWeight;
    }

    public Integer getPetWeight() 
    {
        return petWeight;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("petId", getPetId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("deiFlag", getDeiFlag())
            .append("petAge", getPetAge())
            .append("petBirthday", getPetBirthday())
            .append("petBread", getPetBread())
            .append("petImage", getPetImage())
            .append("petName", getPetName())
            .append("petPersonality", getPetPersonality())
            .append("petSex", getPetSex())
            .append("petSpecies", getPetSpecies())
            .append("petWeight", getPetWeight())
            .append("remark", getRemark())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("userId", getUserId())
            .toString();
    }
}
